GOST3410ParamSetParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cryptopro

## Class GOST3410ParamSetParameters

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cryptopro.GOST3410ParamSetParameters

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class GOST3410ParamSetParameters
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GOST3410ParamSetParameters(ASN1Sequence seq)`
    `GOST3410ParamSetParameters(int keySize, java.math.BigInteger p, java.math.BigInteger q, java.math.BigInteger a)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigInteger` | `getA()`
    `static GOST3410ParamSetParameters` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static GOST3410ParamSetParameters` | `getInstance(java.lang.Object obj)`
    `int` | `getKeySize()`
    `int` | `getLKeySize()` Deprecated. use getKeySize
    `java.math.BigInteger` | `getP()`
    `java.math.BigInteger` | `getQ()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GOST3410ParamSetParameters

          public GOST3410ParamSetParameters(int keySize,
                                            java.math.BigInteger p,
                                            java.math.BigInteger q,
                                            java.math.BigInteger a)

    - #### GOST3410ParamSetParameters

          public GOST3410ParamSetParameters(ASN1Sequence seq)

  - ### Method Detail

    - #### getInstance

          public static GOST3410ParamSetParameters getInstance(ASN1TaggedObject obj,
                                                               boolean explicit)

    - #### getInstance

          public static GOST3410ParamSetParameters getInstance(java.lang.Object obj)

    - #### getLKeySize

          public int getLKeySize()

      Deprecated. use getKeySize

    - #### getKeySize

          public int getKeySize()

    - #### getP

          public java.math.BigInteger getP()

    - #### getQ

          public java.math.BigInteger getQ()

    - #### getA

          public java.math.BigInteger getA()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.